Summary: Some neat plugins for GKrellM.
Name: gkrellm-plugins
Version: 1.0.6
Release: 2
Serial: 2
Copyright: GPL
Group: Applications/System
Source0: http://www.cs.usyd.edu.au/~franky/repository/c/gkrellm/gkrellweather-0.2.3a.tar.gz
Source1: http://gkrellm.luon.net/files/gkrellmms-0.5.5.tar.gz
Source2: http://perso.libertysurf.fr/serpaggi/seti/seti-0.6.1.tar.gz
Source3: http://download.sourceforge.net/gkrelldnet/gkrelldnet-0.7.tar.gz
Source4: http://gkrellm.luon.net/files/volume-0.8.tar.gz
Source5: http://gkrellm.luon.net/files/mailwatch-0.4.tar.gz
Source6: http://triq.net/gkrellm/gkrellm_snmp-0.14.tar.gz
Source7: http://www.cs.auc.dk:80/~larsch/gkrellm-radio/gkrellm-radio-0.2.tar.gz
Source8: http://gkrellm.luon.net/files/gkrellmwireless-0.1.tar.gz
URL: http://redhat.aldil.org/
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: gkrellm-devel, imlib-devel, xmms-devel, ucd-snmp-devel

%description
This is a small collection of plugins for GKrellM.

%package -n gkrellm-weather
Summary: A weather plugin for GKrellM.
Version: 0.2.3a
Serial: 2
Group: Applications/System
Requires: gkrellm, wget

%description -n gkrellm-weather
This is a weather plugin for GKrellM, the GNU Krell Monitor.

%package -n gkrellm-xmms
Summary: A xmms plugin for GKrellM.
Version: 0.5.5
Serial: 2
Group: Applications/System
Requires: gkrellm, xmms

%description -n gkrellm-xmms
This is a xmms plugin for GKrellM, the GNU Krell Monitor.

%package -n gkrellm-seti
Summary: A Seti@HOME plugin for GKrellM.
Version: 0.6.1
Serial: 2
Group: Applications/System
Requires: gkrellm

%description -n gkrellm-seti
This is a Seti@HOME plugin for GKrellM, the GNU Krell Monitor.

%package -n gkrellm-dnet
Summary: A distributed.net contest plugin for GKrellM.
Version: 0.7
Serial: 2
Group: Applications/System
Requires: gkrellm

%description -n gkrellm-dnet
This is a distributed.net contest plugin for GKrellM, the GNU Krell Monitor.

%package -n gkrellm-volume
Summary: A volume control plugin for GKrellM.
Version: 0.8
Serial: 2
Group: Applications/System
Requires: gkrellm

%description -n gkrellm-volume
This is a volume control plugin for GKrellM, the GNU Krell Monitor.

%package -n gkrellm-mailwatch
Summary: An advanced mailwatch plugin for GKrellM.
Version: 0.4
Serial: 2
Group: Applications/System
Requires: gkrellm

%description -n gkrellm-mailwatch
This is an advanced mailwatch plugin for GKrellM, the GNU Krell Monitor.

%package -n gkrellm-snmp
Summary: A snmp monitoring plugin for GKrellM.
Version: 0.14
Serial: 2
Group: Applications/System
Requires: gkrellm, ucd-snmp

%description -n gkrellm-snmp
This is a snmp monitoring plugin for GKrellM, the GNU Krell Monitor.

%package -n gkrellm-radio
Summary: A radio tuner plugin for GKrellM.
Version: 0.2
Serial: 2
Group: Applications/System
Requires: gkrellm

%description -n gkrellm-radio
This is a radio tuner plugin for GKrellM, the GNU Krell Monitor.

%package -n gkrellm-wireless
Summary: A wireless networking card monitor plugin for GKrellM.
Version: 0.1
Serial: 2
Group: Applications/System
Requires: gkrellm

%description -n gkrellm-wireless
This is a wireless networking card monitor plugin for GKrellM, the GNU
Krell Monitor. It will monitor the signal's quality.

%prep
%setup -T -a0 -a1 -a2 -a3 -a4 -a5 -a6 -a7 -a8 -c %{name}-%{version}

%build
mkdir plugins
( cd gkrellweather-0.2.3a ; make ; mv *.so ../plugins ; cp GrabWeather .. )
( cd gkrellmms ; make ; mv *.so ../plugins )
( cd seti-0.6.1 ; make ; mv *.so ../plugins )
( cd gkrelldnet-0.7 ; make ; mv *.so ../plugins ; cp dnetw .. )
( cd volume ; make ; mv *.so ../plugins )
( cd mailwatch-0.4 ; make ; mv *.so ../plugins )
( cd gkrellm_snmp-0.14 ; make ; mv *.so ../plugins )
( cd gkrellm-radio-0.2 ; make ; mv *.so ../plugins )
( cd gkrellmwireless-0.1 ; make ; mv *.so ../plugins )

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/gkrellm/plugins
install -m 755 plugins/* %{buildroot}%{_datadir}/gkrellm/plugins
mkdir -p %{buildroot}%{_bindir}
install -m 755 dnetw %{buildroot}%{_bindir}
install -m 755 GrabWeather %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%files -n gkrellm-weather
%defattr(-, root, root)
%{_datadir}/gkrellm/plugins/gkrellweather.so
%{_bindir}/GrabWeather

%files -n gkrellm-xmms
%defattr(-, root, root)
%{_datadir}/gkrellm/plugins/gkrellmms.so

%files -n gkrellm-seti
%defattr(-, root, root)
%{_datadir}/gkrellm/plugins/seti.so

%files -n gkrellm-dnet
%defattr(-, root, root)
%{_datadir}/gkrellm/plugins/gkrelldnet.so
%{_bindir}/dnetw

%files -n gkrellm-volume
%defattr(-, root, root)
%{_datadir}/gkrellm/plugins/volume.so

%files -n gkrellm-mailwatch
%defattr(-, root, root)
%{_datadir}/gkrellm/plugins/mailwatch.so

%files -n gkrellm-snmp
%defattr(-, root, root)
%{_datadir}/gkrellm/plugins/gkrellm_snmp.so

%files -n gkrellm-radio
%defattr(-, root, root)
%{_datadir}/gkrellm/plugins/radio.so

%files -n gkrellm-wireless
%defattr(-, root, root)
%{_datadir}/gkrellm/plugins/wireless.so

%changelog
* Thu Feb 15 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated three plugins : dnetc, seti and snmp.
- Added two plugins : radio and wireless.

* Tue Jan 30 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Split all the plugins in individual packages.

* Mon Jan 29 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.

